Get Hardware List
curl --request GET \
--url https://api.io.solutions/enterprise/v1/io-cloud/vmaas/hardwareimport requests
url = "https://api.io.solutions/enterprise/v1/io-cloud/vmaas/hardware"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.io.solutions/enterprise/v1/io-cloud/vmaas/hardware', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"hardware": [
{
"id": "<string>",
"deploy_id": 123,
"name": "<string>",
"num_cards": 123,
"supplier": "<string>",
"price": 123,
"vram_per_card": 123,
"interconnect": "<string>",
"nvlink": false,
"storage": 123,
"vcpu": 123,
"memory": 123,
"location": "<string>"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Getting Started With VMaaS API
Get Hardware List
Retrieve a list of currently available GPUs and configurations.
GET
/
enterprise
/
v1
/
io-cloud
/
vmaas
/
hardware
Get Hardware List
Headers
io.net provided API Key
Query Parameters
Text search by GPU name
Filter by regions
GPU model names
Minimum GPU memory in GB
Required range:
x >= 0Maximum GPU memory in GB
Required range:
x >= 0Minimum CPU cores
Required range:
x >= 1Maximum CPU cores
Required range:
x >= 1Minimum device memory in MB
Required range:
x >= 1Maximum device memory in MB
Required range:
x >= 1Minimum storage in MB
Required range:
x >= 1Maximum storage in MB
Required range:
x >= 1Filter by supplier: internal or external
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?